package de.hdm_stuttgart.sd1.math;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotEquals;

import org.junit.Test;
/**
 * Testing exponential implementation
 *
 */
@SuppressWarnings({"UnusedDeclaration"})
public class ExpSinSinoldTest {

  /**
   * Sine and exponential
   */
  @Test
  public void testApp() {
    Math.setSeriesLimit(9);

    assertEquals(java.lang.Math.E, Math.exp(1), 1.E-6);
    assertEquals(0., Math.sin(java.lang.Math.PI), 1.E-10);
    assertNotEquals(0, Math.sinOld(java.lang.Math.PI), 1.E-10); // Lower precision

  }
}
